> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List contacts



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/contacts
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/contacts:
    get:
      tags:
        - Contacts
      summary: List contacts
      operationId: listContactsWorkspaceTokenAPI
      parameters:
        - name: page
          in: query
          schema:
            anyOf:
              - type: integer
                minimum: 1
                maximum: 9007199254740991
              - type: 'null'
          allowEmptyValue: true
          allowReserved: true
        - name: perPage
          in: query
          schema:
            anyOf:
              - type: integer
                minimum: 1
                maximum: 9007199254740991
              - type: 'null'
          allowEmptyValue: true
          allowReserved: true
        - name: sort
          in: query
          schema:
            anyOf:
              - type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    desc:
                      type: boolean
                  required:
                    - id
                    - desc
              - type: 'null'
          style: deepObject
          explode: true
          allowEmptyValue: true
          allowReserved: true
        - name: keyword
          in: query
          schema:
            type: string
          allowEmptyValue: true
          allowReserved: true
        - name: contactFilter
          in: query
          schema:
            type: object
            properties:
              operator:
                enum:
                  - and
                  - or
                type: string
              conditions:
                type: array
                items:
                  anyOf:
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: locale
                            operator:
                              const: in
                            value:
                              type: array
                              items:
                                type: string
                                minLength: 1
                                maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: locale
                            operator:
                              const: notIn
                            value:
                              type: array
                              items:
                                type: string
                                minLength: 1
                                maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: locale
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: fullName
                            operator:
                              const: eq
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: fullName
                            operator:
                              const: ne
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: fullName
                            operator:
                              const: isNotEmpty
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: fullName
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: fullName
                            operator:
                              const: contains
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: fullName
                            operator:
                              const: notContains
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: fullName
                            operator:
                              const: startsWith
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: fullName
                            operator:
                              const: endsWith
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: country
                            operator:
                              const: in
                            value:
                              type: array
                              items:
                                type: string
                                minLength: 1
                                maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: country
                            operator:
                              const: notIn
                            value:
                              type: array
                              items:
                                type: string
                                minLength: 1
                                maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: country
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: continent
                            operator:
                              const: in
                            value:
                              type: array
                              items:
                                type: string
                                minLength: 1
                                maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: continent
                            operator:
                              const: notIn
                            value:
                              type: array
                              items:
                                type: string
                                minLength: 1
                                maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: continent
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: gender
                            operator:
                              const: eq
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: gender
                            operator:
                              const: ne
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: gender
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: subscribedToBroadcast
                            operator:
                              const: eq
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: subscribedToBroadcast
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: contactCreatedAt
                            operator:
                              const: eq
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: contactCreatedAt
                            operator:
                              const: ne
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: contactCreatedAt
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: contactCreatedAt
                            operator:
                              const: lt
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: contactCreatedAt
                            operator:
                              const: lte
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: contactCreatedAt
                            operator:
                              const: gt
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: contactCreatedAt
                            operator:
                              const: gte
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: contactCreatedAt
                            operator:
                              const: isBetween
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: contactCreatedAt
                            operator:
                              const: notBetween
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: contactCreatedDateMinutesAgo
                            operator:
                              const: eq
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: contactCreatedDateMinutesAgo
                            operator:
                              const: ne
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: contactCreatedDateMinutesAgo
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: contactCreatedDateMinutesAgo
                            operator:
                              const: lt
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: contactCreatedDateMinutesAgo
                            operator:
                              const: lte
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: contactCreatedDateMinutesAgo
                            operator:
                              const: gt
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: contactCreatedDateMinutesAgo
                            operator:
                              const: gte
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: contactCreatedDateMinutesAgo
                            operator:
                              const: isBetween
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: contactCreatedDateMinutesAgo
                            operator:
                              const: notBetween
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: source
                            operator:
                              const: in
                            value:
                              type: array
                              items:
                                type: string
                                minLength: 1
                                maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: source
                            operator:
                              const: notIn
                            value:
                              type: array
                              items:
                                type: string
                                minLength: 1
                                maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: source
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: conversationTransferredToHuman
                            operator:
                              const: eq
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: conversationTransferredToHuman
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: interactedInLast24h
                            operator:
                              const: eq
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: interactedInLast24h
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: archived
                            operator:
                              const: eq
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: archived
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: blocked
                            operator:
                              const: eq
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: blocked
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: existingContact
                            operator:
                              const: eq
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: existingContact
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: currentChannel
                            operator:
                              const: in
                            value:
                              type: array
                              items:
                                type: string
                                minLength: 1
                                maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: currentChannel
                            operator:
                              const: notIn
                            value:
                              type: array
                              items:
                                type: string
                                minLength: 1
                                maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: currentChannel
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: email
                            operator:
                              const: eq
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: email
                            operator:
                              const: ne
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: email
                            operator:
                              const: isNotEmpty
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: email
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: email
                            operator:
                              const: contains
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: email
                            operator:
                              const: notContains
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: email
                            operator:
                              const: startsWith
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: email
                            operator:
                              const: endsWith
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: phone
                            operator:
                              const: eq
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: phone
                            operator:
                              const: ne
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: phone
                            operator:
                              const: isNotEmpty
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: phone
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: phone
                            operator:
                              const: contains
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: phone
                            operator:
                              const: notContains
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: phone
                            operator:
                              const: startsWith
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: phone
                            operator:
                              const: endsWith
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: tags
                            operator:
                              const: in
                            value:
                              type: array
                              items:
                                type: string
                                minLength: 1
                                maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: tags
                            operator:
                              const: notIn
                            value:
                              type: array
                              items:
                                type: string
                                minLength: 1
                                maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: tags
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: customFields
                            operator:
                              const: in
                            value:
                              type: array
                              items:
                                type: string
                                minLength: 1
                                maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: customFields
                            operator:
                              const: notIn
                            value:
                              type: array
                              items:
                                type: string
                                minLength: 1
                                maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: customFields
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: executedFlow
                            operator:
                              const: eq
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: executedFlow
                            operator:
                              const: ne
                            value:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - field
                            - operator
                            - value
                        - type: object
                          properties:
                            field:
                              const: executedFlow
                            operator:
                              const: isEmpty
                          required:
                            - field
                            - operator
            required:
              - operator
              - conditions
          style: deepObject
          explode: true
          allowEmptyValue: true
          allowReserved: true
        - name: channels
          in: query
          schema:
            type: array
            items:
              enum:
                - omnichannel
                - webchat
                - messenger
                - whatsapp
                - zalo
                - smtp
                - telegram
                - instagram
                - tiktok
              type: string
          style: deepObject
          explode: true
          allowEmptyValue: true
          allowReserved: true
        - name: inboxIds
          in: query
          schema:
            type: array
            items:
              type: string
              pattern: \d+
          style: deepObject
          explode: true
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      allOf:
                        - type: object
                          properties:
                            id:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                              x-native-type: date
                            updatedAt:
                              type: string
                              format: date-time
                              x-native-type: date
                            avatar:
                              anyOf:
                                - type: string
                                - type: 'null'
                            phoneNumber:
                              anyOf:
                                - type: string
                                - type: 'null'
                            email:
                              anyOf:
                                - type: string
                                - type: 'null'
                            emailVerified:
                              type: boolean
                            emailOptIn:
                              type: boolean
                            firstName:
                              anyOf:
                                - type: string
                                - type: 'null'
                            lastName:
                              anyOf:
                                - type: string
                                - type: 'null'
                            fullName:
                              anyOf:
                                - type: string
                                - type: 'null'
                            gender:
                              anyOf:
                                - enum:
                                    - male
                                    - female
                                    - unknown
                                  type: string
                                - type: 'null'
                            lastReadAt:
                              anyOf:
                                - type: string
                                  format: date-time
                                  x-native-type: date
                                - type: 'null'
                            ref:
                              anyOf:
                                - type: string
                                - type: 'null'
                            country:
                              anyOf:
                                - type: string
                                - type: 'null'
                            state:
                              anyOf:
                                - type: string
                                - type: 'null'
                            city:
                              anyOf:
                                - type: string
                                - type: 'null'
                            location:
                              anyOf:
                                - anyOf:
                                    - anyOf:
                                        - type: string
                                        - type: number
                                        - type: boolean
                                        - type: 'null'
                                    - type: object
                                      propertyNames:
                                        type: string
                                      additionalProperties: {}
                                    - type: array
                                      items:
                                        anyOf:
                                          - {}
                                          - type: 'null'
                                - type: 'null'
                            locale:
                              anyOf:
                                - type: string
                                - type: 'null'
                            timezone:
                              anyOf:
                                - type: string
                                - type: 'null'
                            subscribedAt:
                              anyOf:
                                - type: string
                                  format: date-time
                                  x-native-type: date
                                - type: 'null'
                            broadcastSubscribedAt:
                              anyOf:
                                - type: string
                                  format: date-time
                                  x-native-type: date
                                - type: 'null'
                            blockedAt:
                              anyOf:
                                - type: string
                                  format: date-time
                                  x-native-type: date
                                - type: 'null'
                            workspaceId:
                              type: string
                          required:
                            - id
                            - createdAt
                            - updatedAt
                            - avatar
                            - phoneNumber
                            - email
                            - emailVerified
                            - emailOptIn
                            - firstName
                            - lastName
                            - fullName
                            - gender
                            - lastReadAt
                            - ref
                            - country
                            - state
                            - city
                            - location
                            - locale
                            - timezone
                            - subscribedAt
                            - broadcastSubscribedAt
                            - blockedAt
                            - workspaceId
                        - type: object
                          properties:
                            contactCustomFields:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: string
                                    format: date-time
                                    x-native-type: date
                                  updatedAt:
                                    type: string
                                    format: date-time
                                    x-native-type: date
                                  value:
                                    type: string
                                  contactId:
                                    type: string
                                  customFieldId:
                                    type: string
                                required:
                                  - id
                                  - createdAt
                                  - updatedAt
                                  - value
                                  - contactId
                                  - customFieldId
                            tags:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: string
                                    format: date-time
                                    x-native-type: date
                                  updatedAt:
                                    type: string
                                    format: date-time
                                    x-native-type: date
                                  name:
                                    type: string
                                  deletedAt:
                                    anyOf:
                                      - type: string
                                        format: date-time
                                        x-native-type: date
                                      - type: 'null'
                                  folderId:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  workspaceId:
                                    type: string
                                required:
                                  - id
                                  - createdAt
                                  - updatedAt
                                  - name
                                  - deletedAt
                                  - folderId
                                  - workspaceId
                            contactNotes:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    pattern: \d+
                                  createdAt:
                                    type: string
                                    format: date-time
                                    x-native-type: date
                                  updatedAt:
                                    type: string
                                    format: date-time
                                    x-native-type: date
                                  text:
                                    type: string
                                  contactId:
                                    type: string
                                    pattern: \d+
                                  createdById:
                                    anyOf:
                                      - type: string
                                        pattern: \d+
                                      - type: 'null'
                                required:
                                  - id
                                  - createdAt
                                  - updatedAt
                                  - text
                                  - contactId
                                  - createdById
                            contactInboxes:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  contactId:
                                    type: string
                                  inboxId:
                                    type: string
                                  channel:
                                    type: string
                                  inbox:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                        pattern: \d+
                                      createdAt:
                                        type: string
                                        format: date-time
                                        x-native-type: date
                                      updatedAt:
                                        type: string
                                        format: date-time
                                        x-native-type: date
                                      name:
                                        type: string
                                      channel:
                                        type: string
                                      sourceId:
                                        type: string
                                      workspaceId:
                                        type: string
                                        pattern: \d+
                                      status:
                                        type: string
                                    required:
                                      - id
                                      - createdAt
                                      - updatedAt
                                      - name
                                      - channel
                                      - sourceId
                                      - workspaceId
                                      - status
                                required:
                                  - id
                                  - contactId
                                  - inboxId
                                  - channel
                                  - inbox
                            conversation:
                              anyOf:
                                - allOf:
                                    - type: object
                                      properties:
                                        id:
                                          type: string
                                        createdAt:
                                          type: string
                                          format: date-time
                                          x-native-type: date
                                        updatedAt:
                                          type: string
                                          format: date-time
                                          x-native-type: date
                                        botEnabled:
                                          type: boolean
                                        botResumeAt:
                                          anyOf:
                                            - type: string
                                              format: date-time
                                              x-native-type: date
                                            - type: 'null'
                                        archivedAt:
                                          anyOf:
                                            - type: string
                                              format: date-time
                                              x-native-type: date
                                            - type: 'null'
                                        additionalAttributes:
                                          anyOf:
                                            - anyOf:
                                                - anyOf:
                                                    - type: string
                                                    - type: number
                                                    - type: boolean
                                                    - type: 'null'
                                                - type: object
                                                  propertyNames:
                                                    type: string
                                                  additionalProperties: {}
                                                - type: array
                                                  items:
                                                    anyOf:
                                                      - {}
                                                      - type: 'null'
                                            - type: 'null'
                                        contactLastReadAt:
                                          anyOf:
                                            - type: string
                                              format: date-time
                                              x-native-type: date
                                            - type: 'null'
                                        agentLastReadAt:
                                          anyOf:
                                            - type: string
                                              format: date-time
                                              x-native-type: date
                                            - type: 'null'
                                        aiContextLastMessageId:
                                          anyOf:
                                            - {}
                                            - type: 'null'
                                        lastActivityAt:
                                          type: string
                                          format: date-time
                                          x-native-type: date
                                        followed:
                                          type: boolean
                                        assignedUserId:
                                          anyOf:
                                            - {}
                                            - type: 'null'
                                        assignedInboxTeamId:
                                          anyOf:
                                            - {}
                                            - type: 'null'
                                        workspaceId:
                                          type: string
                                        contactId:
                                          type: string
                                        adminRepliedAt:
                                          anyOf:
                                            - type: string
                                              format: date-time
                                              x-native-type: date
                                            - type: 'null'
                                        contactRepliedAt:
                                          anyOf:
                                            - type: string
                                              format: date-time
                                              x-native-type: date
                                            - type: 'null'
                                      required:
                                        - id
                                        - createdAt
                                        - updatedAt
                                        - botEnabled
                                        - botResumeAt
                                        - archivedAt
                                        - additionalAttributes
                                        - contactLastReadAt
                                        - agentLastReadAt
                                        - lastActivityAt
                                        - followed
                                        - workspaceId
                                        - contactId
                                        - adminRepliedAt
                                        - contactRepliedAt
                                    - type: object
                                      properties:
                                        assignedUser:
                                          anyOf:
                                            - type: object
                                              properties:
                                                id:
                                                  type: string
                                                createdAt:
                                                  type: string
                                                  format: date-time
                                                  x-native-type: date
                                                updatedAt:
                                                  type: string
                                                  format: date-time
                                                  x-native-type: date
                                                name:
                                                  anyOf:
                                                    - type: string
                                                    - type: 'null'
                                                email:
                                                  type: string
                                                emailVerified:
                                                  type: boolean
                                                image:
                                                  anyOf:
                                                    - type: string
                                                    - type: 'null'
                                                isAnonymous:
                                                  type: boolean
                                              required:
                                                - id
                                                - createdAt
                                                - updatedAt
                                                - name
                                                - email
                                                - emailVerified
                                                - image
                                                - isAnonymous
                                            - type: 'null'
                                        assignedInboxTeam:
                                          anyOf:
                                            - type: object
                                              properties:
                                                id:
                                                  type: string
                                                createdAt:
                                                  type: string
                                                  format: date-time
                                                  x-native-type: date
                                                updatedAt:
                                                  type: string
                                                  format: date-time
                                                  x-native-type: date
                                                workspaceId:
                                                  type: string
                                                name:
                                                  type: string
                                              required:
                                                - id
                                                - createdAt
                                                - updatedAt
                                                - workspaceId
                                                - name
                                            - type: 'null'
                                        inbox:
                                          anyOf:
                                            - type: object
                                              properties:
                                                id:
                                                  type: string
                                                  pattern: \d+
                                                createdAt:
                                                  type: string
                                                  format: date-time
                                                  x-native-type: date
                                                updatedAt:
                                                  type: string
                                                  format: date-time
                                                  x-native-type: date
                                                name:
                                                  type: string
                                                channel:
                                                  type: string
                                                sourceId:
                                                  type: string
                                                workspaceId:
                                                  type: string
                                                  pattern: \d+
                                                status:
                                                  type: string
                                              required:
                                                - id
                                                - createdAt
                                                - updatedAt
                                                - name
                                                - channel
                                                - sourceId
                                                - workspaceId
                                                - status
                                            - type: 'null'
                                - type: 'null'
                  pageCount:
                    type: number
                required:
                  - data
                  - pageCount
components:
  securitySchemes:
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````